---
name: read_code
description: Allows read-only access to the source code.
introduced_by_issue: https://gitlab.com/gitlab-org/gitlab/-/issues/20277
introduced_by_mr: https://gitlab.com/gitlab-org/gitlab/-/issues/376180
feature_category: source_code_management
milestone: '15.7'
group_ability: false
project_ability: true
skip_seat_consumption: true
feature_flag: customizable_roles
feature_flag_enabled_milestone: '15.9'
feature_flag_enabled_mr: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/110810
available_from_access_level: 20
